    Return an optimization method.

get_method(name=None)
name - str, optional

The fields of the object returned by `get_method` can be used to view or change the method options.

>>> method = ui.get_method() >>> print(method.name) levmar >>> print(method) name = levmar ftol = 1.19209289551e-07 xtol = 1.19209289551e-07 gtol = 1.19209289551e-07 maxfev = None epsfcn = 1.19209289551e-07 factor = 100.0 verbose = 0 >>> method.maxfev = 5000

PARAMETERS

The parameter for this function is:

Parameter
Definition
name
If not given, the current method is returned, otherwise it should be one of the names returned by the

`list_methods` function.

The return value from this function is:

method -- An object representing the optimization method.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023